-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_X Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.87.90 Mobile Safari/537.36 NokiaBrowser/1.0'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 27 }, version: '1.0', type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X } }
    readable: 'Nokia Browser 1.0 on a Nokia X running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_X Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.1.0.941'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.1.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X } }
    readable: 'Nokia Browser 1.1.0 on a Nokia X running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_X Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.2.0.11'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.2.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X } }
    readable: 'Nokia Browser 1.2.0 on a Nokia X running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_X Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.2.0.12'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.2.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X } }
    readable: 'Nokia Browser 1.2.0 on a Nokia X running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_X Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.3.0'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.3.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X } }
    readable: 'Nokia Browser 1.3.0 on a Nokia X running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_X Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.57 Mobile Safari/537.36 OPR/18.0.1290.68007'
    result: { browser: { name: 'Opera Mobile', family: { name: Chrome, version: 31 }, version: '18.0', type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X } }
    readable: 'Opera Mobile 18.0 on a Nokia X running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.87.90 Mobile Safari/537.36 NokiaBrowser/1.0'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 27 }, version: '1.0', type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Nokia Browser 1.0 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.0.1.45'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.0.1, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Nokia Browser 1.0.1 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.0.1.54'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.0.1, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Nokia Browser 1.0.1 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.0.1.56'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.0.1, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Nokia Browser 1.0.1 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.1.0.941'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.1.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Nokia Browser 1.1.0 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.2.0.11'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.2.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Nokia Browser 1.2.0 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.2.0.12'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.2.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Nokia Browser 1.2.0 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_XL Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/32.0.1700.72 Mobile Safari/537.36 OPR/19.0.1340.71596'
    result: { browser: { name: 'Opera Mobile', family: { name: Chrome, version: 32 }, version: '19.0', type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: XL } }
    readable: 'Opera Mobile 19.0 on a Nokia XL running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_Xplus Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.2.0.11'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.2.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X+ } }
    readable: 'Nokia Browser 1.2.0 on a Nokia X+ running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.1.2; Nokia_Xplus Build/JZO54K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/35.0.1916.138 Mobile Safari/537.36 OPR/22.0.1485.78487'
    result: { browser: { name: 'Opera Mobile', family: { name: Chrome, version: 35 }, version: '22.0', type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X+ } }
    readable: 'Opera Mobile 22.0 on a Nokia X+ running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.3; NokiaX2DS Build/JLS36C) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.82 Mobile Safari/537.36 NokiaBrowser/1.2.0.11'
    result: { browser: { name: 'Nokia Browser', family: { name: Chrome, version: 30 }, version: 1.2.0, type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X2 } }
    readable: 'Nokia Browser 1.2.0 on a Nokia X2 running Nokia X Platform'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.3; NokiaX2DS Build/JLS36C) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.116 Mobile Safari/537.36 OPR/21.0.1437.75439'
    result: { browser: { name: 'Opera Mobile', family: { name: Chrome, version: 34 }, version: '21.0', type: browser }, engine: { name: Blink }, os: { name: 'Nokia X Platform', family: Android }, device: { type: mobile, subtype: smart, manufacturer: Nokia, model: X2 } }
    readable: 'Opera Mobile 21.0 on a Nokia X2 running Nokia X Platform'
